
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在Java类中灵活使用Static关键字 / iVAN</title>

    <meta name="description" content="在Java类中灵活使用Static关键字 用专业术语来说,只有利用了new关键字创建对象后,才会在系统中为其创建存储空间.不过在有些特殊的情况下,程序员可能希望在没有创建对象的时候就能够为某个特定的成员分配存储空间或者可以调用某个方法等等.在Java中能否实现这个需求呢? 一.不建立对象即想使用的两种实际情况. 笔者提到的这个问题是否是无中生有呢?其实不然.在实际应用程序开发中,就经常会遇到这种情况.如现在需要三个对象,分别用来计算圆的面积.圆球的体积.圆柱的体积.在这三个对象的方法中,都需要用到一个叫做圆周率的常量,而且这个圆周率是固">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在Java类中灵活使用Static关键字</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>用专业术语来说，只有利用了new关键字创建对象后，才会在系统中为其创建存储空间。不过在有些特殊的情况下，程序员可能希望在没有创建对象的时候就能够为某个特定的成员分配存储空间或者可以调用某个方法等等。在Java中能否实现这个需求呢?</p>
<p>一、不建立对象即想使用的两种实际情况。</p>
<p>笔者提到的这个问题是否是无中生有呢?其实不然。在实际应用程序开发中，就经常会遇到这种情况。如现在需要三个对象，分别用来计算圆的面积、圆球的体积、圆柱的体积。在这三个对象的方法中，都需要用到一个叫做圆周率的常量，而且这个圆周率是固定不变的。所以，在程序开发中，对于这些公用的成员变量最好能够统一管理。当调整成员变量的精度时，其运算结果的精度也会随之调整。从程序员的角度来看，这就是要求在没有创建对象之前就要给成员变量分配存储空间，以方便其他的类可以因用这个变量。而这个需求如果没有Statci关键字的话就无法实现。</p>
<p>第二种情况就是程序员可能希望某个方法不予包含它的类的任何对象关联在一起。这个读起来可能有点拗口。简单的说，就是即使没有使用new关键字创建对象的情况下，程序员仍然能够调用这个方法。也就是说，在创建类的时候就需要为这个方法分配存储空间。就好像造汽车时，在做汽车设计图纸时就需要把发动机准备好。那么即使汽车还没造好，这个发动起也可以先拿来看看。此时也需要采用Static关键字来完成这个需求。</p>
<p>二、Static关键字的用途。</p>
<p>简单的说，Static关键字的用途就是在创建类的时候就给特定的成员或者方法分配存储空间。当程序员在成员变量或者方法前面加上Static关键字时，就表示这些成员与方法不会与包含它的那个类的任何对象实例关联在一起。换一句话就是说，即使没有创建这个类的对象，程序员仍然可以调用这个类中的成员或者方法。因为他们实际上已经存在，系统已经为他们分配了存储空间。不过需要注意的是，Static关键字定义的成员与方法，毕竟与传统的对象创建方法有所差异。所以无论是在定义时还是在具体的引用过程中，都有所差异。程序开发人员必须了解这种差异，并在实际的工作中要引起重视。特别是如果有其他语言开发经验的程序员，不要将Java语言的这个特性与其他语言搞混，否则的话很容易出现错误。</p>
<p>三、利用Static关键字来定义成员变量。</p>
<p>如上面那个案例中，需要定义一个类，然后在这个类中需要用到一个叫做圆周率的成员。如果我们将这个成员命名为pi，则这个类可以按照下面的方法定义成员变量。</p>
<p><code>Class circle{ <br />
　　 Static float pi=3.14</p>
<p>　　 }</code></p>
<p>这个类的定义跟其他类最大的不同，就是在成员变量前面加了一个static关键字。此时就将这个成员变量设置为了staitc状态。其实在创建这个类的时候，系统就为其分配了一份存储空间。而不是在创建对象的时候再创建的。也就是说，现在就将这个成员变量跟包含它的类独立出来。在这种情况下，如果利用new关键字来创建对象，那么这个成员变量都是指向同一个。即程序员如果利用这个类创建三个对象时，其成员变量pi都指向同一个存储空间。为此不同对象内的成员变量pi的值都是相同的，因为其实际上都指的是同一东西。所以说，要统一多个对象中成员变量的值是非常简单的。只需要在定义类的时候，在这个成员变量的前面加上关键字static即可。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 16:29:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e5%85%b3%e9%94%ae%e5%ad%97/" title="关键字">关键字</a>, <a href="https://www.iamivan.net/tag/static-%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f/" title="static 成员变量">static 成员变量</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/%e6%88%90%e5%91%98/" title="成员">成员</a>, <a href="https://www.iamivan.net/tag/static%e6%88%90%e5%91%98%e5%8f%98%e9%87%8fjava/" title="static成员变量java">static成员变量java</a>, <a href="https://www.iamivan.net/tag/%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f%e7%9a%84%e4%bd%bf%e7%94%a8%e9%97%ae%e9%a2%98/" title="成员变量的使用问题">成员变量的使用问题</a>, <a href="https://www.iamivan.net/tag/java%e7%b1%bb%e7%9a%84%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f/" title="java类的成员变量">java类的成员变量</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f/" title="类成员变量">类成员变量</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e6%96%b9%e6%b3%95%e5%88%9b%e5%bb%ba%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f/" title="类方法创建成员变量">类方法创建成员变量</a>, <a href="https://www.iamivan.net/tag/%e5%9c%86%e5%91%a8%e7%8e%87/" title="圆周率">圆周率</a>, <a href="https://www.iamivan.net/tag/java%e7%9a%84static%e5%85%b3%e9%94%ae%e5%ad%97/" title="java的static关键字">java的static关键字</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在Java类中灵活使用Static关键字的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PXv6M.html" rel="bookmark">Java语言入门教程（七）：Java类中的各种数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是Java教程之Java类中的各种数据部分. 按照数据声明的位置,Java类可以分为两类,声明位置的不同,作用域就有所不同. 1.数据成员:在类体中声明的数据,称为数据成员. 2.局部变量:在方法中声明的数据,称为局部变量,也称为本地变量,方法变量,自 动变量.局部变量只能在该方法中使用. 如下例所示: package com.csst.test; public class TestData { /** * @param args */ //1.数据成员 private int x; pri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPaLlp.html" rel="bookmark">java类中方法调用问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java类中方法调用问题 import java.awt.*;import javax.swing.*;import java.awt.event.*; public class TestTextComponent extends JFrame { private JTextField textField = new JTextField(15); private JPasswordField passwordField = new JPasswordField(15); privat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7eXZz.html" rel="bookmark">java类的问题-java类中的返回语句提取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java类中的返回语句提取 interface Car{ String getName(); int getPrice(); int getQuan(); int getIndividualSales(); } class CarShop{ private int money_a=0; private int money_b=0; public void saleCar(Car car){ System.out.println(&quot;品牌&quot;+car.getName()+&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40emPz.html" rel="bookmark">java基础-java类中的代码运行顺序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java类中的代码运行顺序 下面列子:public class A{ private List list=new ArrayList(); public static void main(string[] args){ A a=new A(); } }问 :1,该类什么时候被编译?什么时候被加载? 2,在运行该类的时候list 对象是在main函数执行过才有的么?还是说在加载的时候就已经被创建了? 3,如果其中有静态代码块,那么静态代码块在类加载的时候就被执行了么?也就是说在main函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenDDVb.html" rel="bookmark">java-怎么获取一个JAVA类中各个方法的代码块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么获取一个JAVA类中各个方法的代码块 特殊需求:获取一个JAVA类中各个方法的代码块来查找方法中是否包含某个关键字,现在通过发射只能拿到方法的属性和注释,有没有API或者其他方法,求告知,3Q 没金币了..对不起大家 PS:获取本地源代码的,不是运行时的class 解决方案 myeclipse中调试调用带有静态代码块的类时出现java.lang.NoClassDefFoundError的处理方法在DWR中实现直接获取一个JAVA类的返回值的两种方法java代码获取当前类类名.方法名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxPQob.html" rel="bookmark">Java类中域和方法设置中的常见错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Java程序中,类是其实现功能的核心.如果说开发Java应用程序,就是一个类的构建与使用的过程这一点都不为过.可惜的是,不少程序员在编写类的时候,还是会犯一些常规的错误.笔者就对此做一个总结,望各位读者能够引起重视. 一.基本数据类型的初始化问题. 在Java语言中,跟其他开发语言一样,都定义了一些基本的数据类型.程序员可以拿来直接使用,还可以用来构造其他一些复杂的应用程序.不过在Java中使用这些基本数据类型有些不同.在Java语言中,这个基本数据类型主要用在两个地方,分别为类中的成员或者局			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA962M.html" rel="bookmark">activity-如何在java类中访问自定义的对象？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在java类中访问自定义的对象? 我想在java类中访问自定义的对象,这个java类中包括ApplicationContext 对象. 我创建了一个自定义的应用程序类: class A extends android.app.Application{ public String abc = &quot;xyz&quot;; } 一个简单的java类: class B { private appContext; // This constructor is called from activi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40J0Yz.html" rel="bookmark">Java类中的构造函数？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java类中的构造函数? class Circle { double radius; Circle() { radius = 1.0; } Circle(double newRadius) { radius = newRadius;//为什么不写成 newRadius = radius? } } 解决方案 可以是可以,但是如果是newRadius = radius,则代表将radius的值赋给newRadius,在初始化的时候Circle circle = new Circle(11)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myd0n5b.html" rel="bookmark">java 类-Java 类中的属性存储问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java 类中的属性存储问题 Java中的方法存储在全局代码区之中,那么类中的属性存储在哪里呢?(父子类中同名的方法会被辅写,但是同名的属性却毫无影响?) 解决方案 父类属性可以继承,但不可以覆盖的.java中属性及类的定义信息都会被放在方法区中 解决方案二: Java中的存储问题关于java中的存储问题java继承 父类子类方法调用问题 属性和静态方法是没有多态的 解决方案三: java中的变量存在栈中 解决方案四: 变量和属性都是存储在栈中,,对象都是存储在堆中所以对象的属性重名是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeR3Ab.html" rel="bookmark" class="title">Photoshop给帅哥照片加上忧郁的黄褐色</a>
					<div>
						虽然是一些生活中的照片,不过只要自己慢慢去美化及细心调整,也可以调出很专业的效果.处理之前需要分析图片的缺点,然后想办法去修复,后期再润色即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Bmap.html" rel="bookmark" class="title">Photoshop制作有趣的故地重拍照对比图</a>
					<div>
						教程思路非常不错,同样是老照片,作者把照片的局部换成旧照片,并加入了拿照片的手等,画面就感觉非常有创意. 最终效果 1.打开素材图片. [1] [2] [3] [4] [5] [6]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW121jz.html" rel="bookmark" class="title">Cassandra数据库的数据类型</a>
					<div>
						数据类型是用来约束插入到字段中的值的. 在关系数据库中,数据类型是在定义表的时候就指定的. 在Cassandra中,字段类型由校验器(validator)和比较器(comparator)来给出,其中v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwKj3z.html" rel="bookmark" class="title">oracle基于backup control的完全恢复</a>
					<div>
						误删除表空间(有备份),利用备份的控制文件恢复 一.模拟环境 07:59:14 SQL&gt; select count(*) from scott.dept2;  COUNT(*) -------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wX3Np.html" rel="bookmark" class="title">AspectJ和模仿对象的测试灵活性</a>
					<div>
						用&quot;test-only&quot;行为增强单元测试 简介: 在开发过程中结合了单元测试的程序员都了解这样做带来的好处:代码更简洁,敢于重构.速度更快.但即便是最执著的单元测试者,在碰到测试行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AqGAp.html" rel="bookmark" class="title">AppFabric缓存-实际应用与集成</a>
					<div>
						Microsoft Windows Server AppFabric 以前的代号是&quot;Velocity&quot;,提供了可以集成到 Web 应用程序和桌面应用程序的分散式缓存.AppFabr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7er0M.html" rel="bookmark" class="title">好照片的HDR核心技术介绍</a>
					<div>
						一.多重曝光图片组的对齐校正 在进行HDR多重曝光图片组的拍摄过程中,最好使用三脚架以保证拍摄的多重曝光图片组每个像素坐标完全一一对应而获得清晰的HDR图片.但是使用三脚架这个过程较为繁琐,在大多数情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balRvnz.html" rel="bookmark" class="title">PS绘制可爱的中国古典美女教程</a>
					<div>
						最终效果 1.新建图层用覆盖铅笔打出草稿.我个人喜欢用覆盖铅笔,感觉比2B用着更舒服些 2.新建图层,属性为胶合.用喷枪画出人物皮肤的基本色 3.还是用喷笔,确定出其他部位的基本色.绘制的时候不要怕颜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Re3jp.html" rel="bookmark" class="title">PPT2007图表美容术</a>
					<div>
						小张是某公司的销售部经理,PPT图表展示业绩是年底的必修课.为了在厂里召开的总结会上出彩,她下决心在PPT图表中增加些看点.于是找到了厂信息中心的张主任,学会了 PowerPoint 2007美化图表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdW6aM.html" rel="bookmark" class="title">给人物照片加上柔美的渐变色</a>
					<div>
						教程介绍常见的彩色渐变图片制作方法.过程非常简单,新建一个图层拉上彩色渐变,再调整图层混合模式和图层不透明度即可.不过为了配合这种效果,还需要加上一些装饰元素,如星光及一些梦幻装饰笔刷.人物部分也需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3We4p.html" rel="bookmark" class="title">Excel2013，计算两个日期之间工作日的天数</a>
					<div>
						  想知道自己在公司工作了多少天吗?在Excel中,输入起始日期和终止日期,然后用一个NETWORKDAYS函数就能轻松搞定啦!一起来看看具体做法吧. 详细操作步骤 用Excel2013打开一篇有两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7WDNM.html" rel="bookmark" class="title">笔记本Mini PCI-E与mSATA接口的区别</a>
					<div>
						  随着固态硬盘的火热,越来越多本友开始关注笔记本是否预留mSATA接口,但由于mSATA接口与Mini PCI-E外观完全一样,问题就随之而来. Mini PCI-E从其名称就能看出,是迷你版的PC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ9Bvp.html" rel="bookmark" class="title">android一个普通app-Android一个普通app，后台常驻服务实现</a>
					<div>
						问题描述 Android一个普通app,后台常驻服务实现 [重金求]Android一个普通app,后台常驻服务实现,例如QQ.微信等的后台消息推送服务,要求如下: 常驻后台运行,系统杀死后,可自行启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QQ8Dp.html" rel="bookmark" class="title">财富：亚马逊采用 MXNet ，巨头间深度学习框架之争白热化</a>
					<div>
						随着人工智能的发展,现代科技公司的终极目标是构建无需人类介入.能够自我思考的 AI 软件. 亚马逊首席技术官 Werner Vogels 在周二的一篇博客文章中表示,亚马逊网络服务公司(AWS)刚刚选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn76EWz.html" rel="bookmark" class="title">setTimeout和setInterval的使用</a>
					<div>
						  Internet的基本结构是建立在一系列静态状态上的,这些静态状态一般都称做页面.从第13章可以看到,DHTML打破了这个模型,为了响应用户的动作,DHTML在相同的界面上创建了很多独立的状态.本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRlGEz.html" rel="bookmark" class="title">SPDY简介</a>
					<div>
						SPDY是什么? SPDY是Google开发的基于TCP,TLS的网络协议,用来传输web内容.HTTP2.0的第一个草案就是以SPDY为蓝本.SPDY的目的是减少web页面加载时间和增进web安全. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrLWoM.html" rel="bookmark" class="title">如何打一手好Log&lpar;转&rpar;</a>
					<div>
						如果项目上过线的话,那你一定知道Log是多么重要. 为什么说Log重要呢?因为上线项目不允许你调试,你只能通过Log来分析问题.这时打一手好Log的重要性绝不亚于写一手好代码.项目出问题时,你要能拿出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2NPrb.html" rel="bookmark" class="title">JVM的原理是什么</a>
					<div>
						问题描述 请问JVM的原理是什么? 解决方案 解决方案二:推荐一本书:&lt;深入java虚拟机&gt;					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRW6kp.html" rel="bookmark" class="title">关于UEditor富文本编辑器的使用</a>
					<div>
						第一步:首先下载ueditor编译器,地址:http://ueditor.baidu.com/website/ 下载完解压之后就这个: 第二步:我会把文件名utf-8-jsp这个文件名改为uedito ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRVr2p.html" rel="bookmark" class="title">sqlserver-QueryRunner不能回滚吗？找了很久都没找到可用的方法</a>
					<div>
						问题描述 QueryRunner不能回滚吗?找了很久都没找到可用的方法 QueryRunner不能回滚吗?找了很久都没找到可用的方法					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK58gb.html" rel="bookmark" class="title">代码-求助，写xml时一个没想明白的小问题</a>
					<div>
						问题描述 求助,写xml时一个没想明白的小问题 这是我想得到的效果. 贴上代码: android:layout_width=&quot;fill_parent&quot; android:layout ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeZ4Bb.html" rel="bookmark" class="title">Oracle分布式数据库的负载问题</a>
					<div>
						问题描述 目前做项目遇到这样一个问题,求帮助:客户通过常用属性,把集中式数据库里的一些表分片成需要用的一些小表(分片)存储在几个站点上,目前至少有13个分片,分片的站点位置通过查询数据字典能得到.例如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq72YGz.html" rel="bookmark" class="title">解决Win7系统连接vpn失败且提示错误代码868问题</a>
					<div>
						方法一:修改一下本地连接或者无线连接的DNS服务器为8.8.8.8和8.8.4.4 1.我们在电脑在右下角右击网络图标,然后在弹出菜单点击&quot;打开网络和共享中心&quot;-然后找到我们自己使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnmn9M.html" rel="bookmark" class="title">TokuDB &CenterDot; 引擎特性 &CenterDot; REPLACE 语句优化</a>
					<div>
						背景 MySQL 在标准 SQL 外,会扩展一些好用的语法,本文关注的 REPLACE 和 INSERT IGNORE 就属于这类.这 2 个语法都是对 INSERT 的扩展,语义是向表中插入数据,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Omkz.html" rel="bookmark" class="title">流媒体服务器</a>
					<div>
						问题描述 请问优酷,youtube这样的视频网站,在后台用流媒体服务器了吗,如果用了的话,用的是什么服务器软件呀? 解决方案 解决方案二:不知道..					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12wB9p.html" rel="bookmark" class="title">Apache Spark机器学习&period;1&period;8　Spark notebook简介</a>
					<div>
						1.8 Spark notebook简介 在本节中,我们首先讨论有关面向机器学习的notebook方法.然后,我们介绍R Markdown,以其作为一个成熟的notebook案例,最后介绍Spark中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjJyWM.html" rel="bookmark" class="title">戴尔服务器R920 满足最严格的工作负载要求</a>
					<div>
						[天极网办公频道1月19日消息]信息就是力量.我们都听说过这句话.事实上,对今天的企业来说,轻松快速获取纷至沓来的信息是企业相对于竞争对手而言最大的优势所在.戴尔充分认识到这一点,因此我们不断挑战戴尔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eZq9b.html" rel="bookmark" class="title">云行天下：甲骨文携手本土企业转型现代化业务</a>
					<div>
						2014年7月24日,云行天下·甲骨文云技术应用大会(Oracle CloudWorld)在北京国贸大酒店正式拉开帷幕,本次大会替中国客户及其合作伙伴带来了甲骨文云技术方面全面的解决方案,并分享了甲骨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeLaEM.html" rel="bookmark" class="title">浙江杭州：体验G3成时尚</a>
					<div>
						中国移动杭州分公司G3信息体验馆日前成功入选杭州市&quot;最具品质体验点&quot;,成为当地市民体验移动G3信息生活的好去处. 前来体验的市民在3G终端展示区,可以亲身试用G3业务中的手机电视. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0xZwz.html" rel="bookmark" class="title">Python 自动补全&lpar;vim&rpar;&lowbar;python</a>
					<div>
						一.vim python自动补全插件:pydiction 可以实现下面python代码的自动补全: 1.简单python关键词补全 2.python 函数补全带括号 3.python 模块补全 4.p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
